@if not "%ECHO%"=="" echo %ECHO%
@if not "%OS%" =="Windows_NT" goto EOF
set logfile="c:\program files\nortel networks\voice platform\logs\DSPFirmware_R5WI077.log"
@echo off


REM reg query "HKLM\SOFTWARE\Nortel Networks\Platform Services"
Echo *=============================================================================*
Echo Nortel Networks                                 Business Communications Manager
Echo *=============================================================================*
Echo.
Echo				Version 
Echo			*============================*
Echo.
Call "C:\program files\Nortel Networks\Voice Platform\GetVersion.cmd"
Echo			BCM Rls ID %RL_ID% %RELEASE%  
Echo			Version %VERS%
Echo			Hardware Profile %PROF% %PROFNAME%
Echo.
Echo.
if %RL_ID% == 2.5 ( 
    if "%RELEASE%" == "RC 6.3" (
        if %VERS% == 7.1.7 (
            echo BCM 2.5 RC 6.3 v7.1.7 
            goto START
        ) else if %VERS% == 7.1.8 (
            echo BCM 2.5 RC 6.3 v7.1.8 
            goto START
        ) else if %VERS% == 7.1.9 (
            echo BCM 2.5 RC 6.3 v7.1.9 
            goto START
        ) else goto error
    ) else if "%RELEASE%" == "Feature Pack 1  RC 2.4" (
        echo BCM 2.5 Feature Pack 1 RC 2.4
        goto START
    ) else if "%RELEASE%" == "Feature Pack 1 RC 2.4" (
        echo BCM 2.5 Feature Pack 1 RC 2.4
        goto START
    ) else if "%RELEASE%" == "Feature Pack 1 RC 2.4 U" (
        echo BCM 2.5 Feature Pack 1 RC 2.4 U
        goto START
    ) else if "%RELEASE%" == "Feature Pack 1 Maintenance Release 1.1" (
        echo BCM 2.5 Feature Pack 1 Maintenance Release 1.1 P
        goto START
    ) else if "%RELEASE%" == "Feature Pack 1 Maintenance Release 1.1 P" (
        echo BCM 2.5 Feature Pack 1 Maintenance Release 1.1 P
        goto START
    ) else if "%RELEASE%" == "Feature Pack 1 Maintenance Release 1.1 U" (
        echo BCM 2.5 Feature Pack 1 Maintenance Release 1.1 U
        goto START
    ) else if "%RELEASE%" == "Feature Pack 1 Maintenance Release 1.1 S" (
        echo BCM 2.5 Feature Pack 1 Maintenance Release 1.1 S
        goto START
    ) else goto ERROR
) else goto ERROR

:START

:DSPFirmware
echo ** Updating DSP Firmware **
call :TIMESTAMP
echo %thistime% %thisdate% - Updating DSP Firmware files >> %logfile%
REM reg query "HKLM\SOFTWARE\Nortel Networks\Voice Firmware"
for /f "tokens=3 delims=	" %%I in ('reg query "HKLM\SOFTWARE\Nortel Networks\Voice Firmware\CurrentVersion"') do Set FWversion=%%I
echo The current version of Voice Firmware on this system is %FWversion%.
call :TIMESTAMP
echo %thistime% %thisdate% - The current version of Voice Firmware on this system is %FWversion%.
if %FWversion% LSS R5wi077 (
    call :TIMESTAMP
    echo %thistime% %thisdate% - Updating ..\Voice CTI\runtime\ folder >> %logfile%
    xcopy /E /I /R /F "C:\Program Files\Nortel Networks\Patches\DSPFirmware_R5WI077\*.pci" "C:\program files\Nortel Networks\Voice CTI\runtime\"
    xcopy /E /I /R /F "C:\Program Files\Nortel Networks\Patches\DSPFirmware_R5WI077\*.dat" "C:\program files\Nortel Networks\Voice CTI\runtime\"
    xcopy /E /I /R /F "C:\Program Files\Nortel Networks\Patches\DSPFirmware_R5WI077\*.s" "C:\program files\Nortel Networks\Voice CTI\runtime\"
    regedit /s "c:\Program Files\Nortel Networks\Patches\DSPFirmware_R5WI077\Version.reg"
) else (
    call :TIMESTAMP
    echo %thistime% %thisdate% - Voice Firmware does not require updating.
    echo Voice Firmware does not require updating.
) 
echo ******* Update complete *******
call :TIMESTAMP
echo %thisdate% %thistime% - Updated DSP Firmware files >> %logfile%


goto END


REM ******************* Some functions to be called *******************
:TIMESTAMP
for /f "tokens=2" %%i in ('date /t') do set thisdate=%%i
for /f %%i in ('time /t') do set thistime=%%i
goto EOF
REM ******************* Some functions to be called *******************


:ERROR
echo Incorect version.
call :timestamp
echo %thisdate% %thistime% - Incorrect BCM Version detected. >> %logfile%
echo This patch is to be applied to a BCM 2.5 RC 6.3 system only.
call :timestamp
echo %thisdate% %thistime% - This patch is to be applied to a BCM 2.5 RC 6.3 system only. >> %logfile%


:END
sleep 5
rmdir /s /q "c:\program files\nortel networks\patches\DSPFirmware_R5WI077\"


:EOF